summaryrefslogtreecommitdiffstats
path: root/tqtinterface/qt4/config.tests/unix/endian.test
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 15:17:53 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 15:17:53 -0500
commitdda8474928bd7276e1fad8fb7a601e7c83ff2bc2 (patch)
tree7f83910598b33b12730035f086df20b5a53ab99c /tqtinterface/qt4/config.tests/unix/endian.test
parent6260b6178868c03aab1644bf93b0ef043654bdb0 (diff)
downloadexperimental-dda8474928bd7276e1fad8fb7a601e7c83ff2bc2.tar.gz
experimental-dda8474928bd7276e1fad8fb7a601e7c83ff2bc2.zip
Added TQt4 HEAD
Diffstat (limited to 'tqtinterface/qt4/config.tests/unix/endian.test')
-rwxr-xr-xtqtinterface/qt4/config.tests/unix/endian.test30
1 files changed, 30 insertions, 0 deletions
diff --git a/tqtinterface/qt4/config.tests/unix/endian.test b/tqtinterface/qt4/config.tests/unix/endian.test
new file mode 100755
index 0000000..9f5c566
--- /dev/null
+++ b/tqtinterface/qt4/config.tests/unix/endian.test
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+QMKSPEC=$1
+VERBOSE=$2
+SRCDIR=$3
+OUTDIR=$4
+
+# debuggery
+[ "$VERBOSE" = "yes" ] && echo "Determining machine byte-order... ($*)"
+
+# build and run a test program
+test -d $OUTDIR/config.tests/unix/endian || mkdir -p $OUTDIR/config.tests/unix/endian
+$OUTDIR/bin/qmake -nocache -spec "$QMKSPEC" $SRCDIR/config.tests/unix/endian/endiantest.pro -o $OUTDIR/config.tests/unix/endian/Makefile >/dev/null 2>&1
+cd $OUTDIR/config.tests/unix/endian
+
+if [ "$VERBOSE" = "yes" ]; then
+ (make && ./endiantest)
+else
+ (make && ./endiantest) >/dev/null 2>&1
+fi
+ENDIAN=$?
+
+# done
+if [ "$ENDIAN" -eq 0 ]; then
+ [ "$VERBOSE" = "yes" ] && echo "Using big endian."
+ exit 1
+else
+ [ "$VERBOSE" = "yes" ] && echo "Using little endian."
+ exit 0
+fi